# class XmlText | Xml Declaration. More...
Full name | `TelEngine::XmlText`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::XmlChild [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlText (const String& text)
- XmlText (const XmlText& orig)
- virtual ~XmlText ()
- inline const String& getText () const
- inline void setText (const char* text)
- void toString (String& dump, bool escape = true, const String& indent = String::empty(), const String* auth = 0, const XmlElement* parent = 0) const
- virtual XmlText* xmlText ()
- bool onlySpaces ()

## Detailed Description

A Xml Declaration for Xml document

XmlText (const String& text) | ### XmlText

Constructor

Parameters:

text | The text

XmlText (const XmlText& orig) | ### XmlText

Copy constructor

Parameters:

orig | Original XmlText

~XmlText () | ### ~XmlText

[virtual]

Destructor

inline const String& getText () | ### getText

[const]

Returns: The text kept by this Xml Text

inline void setText (const char* text) | ### setText

Set the text

Parameters:

text | Text to set in this XmlText

void toString (String& dump, bool escape = true, const String& indent = String::empty(), const String* auth = 0, const XmlElement* parent = 0) | ### toString

[const]

Build a String from this XmlText

Parameters:

dump | The string where to append representation
escape | True if the text need to be escaped
indent | Spaces for output
auth | Optional list of tag and attribute names to be replaced with '***'. This parameter can be used when the result will be printed to output to avoid printing authentication data to output. The array must end with an empty string
parent | Optional parent element whose tag will be searched in the auth list

Reimplemented from GenObject.

XmlText* xmlText () | ### xmlText

[virtual]

Get the Xml text

Returns: This object

Reimplemented from XmlChild.

bool onlySpaces () | ### onlySpaces

Helper method to check if the text held by this XmlText contains only spaces

Returns: False if the text contains non space characters.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.